const { spawn, exec } = require('child_process');

exports.clone = (repo, targetPath, cb) => {
  const process = spawn('git', ['clone', repo, targetPath]);

  process.on('close', status => {
    if (status === 0) {
      cb && cb();
    } else {
      cb && cb(new Error("'git clone' failed with status " + status));
    }
  });
};

exports.removeRepo = (repo, targetPath, cb) => {
  exec(`rm -rf ${targetPath}/.git`, (err, stdout, stderr) => {
    if (err) {
      cb &&
        cb(
          new Error(
            'Something went wrong please try again. if you problem was not resolved please raise an issue on the matter https://github.com/ionush/create-react-native-redux-boilerplate.git'
          )
        );
    } else {
      cb && cb();
    }
  });
};
